### 3.3 Plain Text Output Options

PSPP can produce plain text output, drawing boxes using ASCII or Unicode line drawing characters. To produce plain text output, specify `-o file` on the PSPP command line, optionally followed by options from the table below to customize the output format.

Plain text output is encoded in UTF-8.

`-O format=txt`

  Specify the output format. This is only necessary if the file name given on `-o` does not end in `.txt` or `.list`.

`-O charts={template.png|none}`

  Name for chart files included in output. The value should be a file name that includes a single ‘`#`’ and ends in `png`. When a chart is output, the ‘`#`’ is replaced by the chart number. The default is the file name specified on `-o` with the extension stripped off and replaced by `-#.png`.

  Specify `none` to disable chart output. Charts are always disabled if your installation of PSPP was compiled without the Cairo library.

`-O foreground-color=color`
`-O background-color=color`

  Sets color as the color to be used for the background or foreground to be used for charts. Color should be given in the format `#RRRRGGGGBBBB`, where RRRR, GGGG and BBBB are 4 character hexadecimal representations of the red, green and blue components respectively. If charts are disabled, this option has no effect.

`-O paginate=boolean`

  If set, PSPP writes an ASCII formfeed the end of every page. Default: `off`.

`-O headers=boolean`

  If enabled, PSPP prints two lines of header information giving title and subtitle, page number, date and time, and PSPP version are printed at the top of every page. These two lines are in addition to any top margin requested. Default: `off`.

`-O length=line-count`

  Physical length of a page. Headers and margins are subtracted from this value. You may specify the number of lines as a number, or for screen output you may specify `auto` to track the height of the terminal as it changes. Default: `66`.

`-O width=character-count`

  Width of a page, in characters. Margins are subtracted from this value. For screen output you may specify `auto` in place of a number to track the width of the terminal as it changes. Default: `79`.

`-O top-margin=top-margin-lines`

  Length of the top margin, in lines. PSPP subtracts this value from the page length. Default: `0`.

`-O bottom-margin=bottom-margin-lines`

  Length of the bottom margin, in lines. PSPP subtracts this value from the page length. Default: `0`.

`-O box={ascii|unicode}`

  Sets the characters used for lines in tables. If set to `ascii` the characters ‘`-`’, ‘`|`’, and ‘`+`’ for single-width lines and ‘`=`’ and ‘`#`’ for double-width lines are used. If set to `unicode` then Unicode box drawing characters will be used. The default is `unicode` if the locale’s character encoding is "UTF-8" or `ascii` otherwise.

`-O emphasis={none|bold|underline}`

  How to emphasize text. Bold and underline emphasis are achieved with overstriking, which may not be supported by all the software to which you might pass the output. Default: `none`.